### Signal

# RB TrackTransferBatch::track-started

#### Declaration

    void
    track_started (
      RBTrackTransferBatch* self,
      RhythmDBEntry* entry,
      gchar* dest,
      gpointer user_data
    )

#### Description [src]

Emitted when a new entry is about to be transferred. This will be emitted for each entry in the batch, unless the batch is cancelled.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` being transferred.

  The data is owned by the caller of the function.

`dest`

  Type: `gchar*`

  The destination URI for the transfer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.